• powerpill -Syu shows AttributeError


    I have installed powerpill to use it to upgrade system instead of using pacman. After installing, I tried to update my system using ‘sudo powerpill -Syu’ , but the following error came up:

    d7944b|ERR | 0B/s|/var/lib/pacman/sync/core.db
    fa06a5|ERR | 0B/s|/var/lib/pacman/sync/extra.db
    edabe4|ERR | 0B/s|/var/lib/pacman/sync/community.db
    751eea|ERR | 0B/s|/var/lib/pacman/sync/multilib.db

    Then I edited pacman.conf with adding the following option for each repository:
    SigLevel = PackageRequired

    And the problem is solved, but not completely. Now, when I run ‘sudo powerpill -Syu’ I got the following error:

    Download Results:
    gid |stat|avg speed |path/URI
    ======+====+===========+=======================================================
    ee3744|OK | 0B/s|/var/lib/pacman/sync/core.db
    dc2bb6|OK | 0B/s|/var/lib/pacman/sync/community.db
    b7d199|OK | 0B/s|/var/lib/pacman/sync/extra.db
    dc8123|OK | 0B/s|/var/lib/pacman/sync/multilib.db
    1d0cc8|OK | 0B/s|/var/lib/pacman/sync/antergos.db

    Status Legend:
    (OK):download completed.
    Traceback (most recent call last):
    File “/usr/lib/python3.6/runpy.py”, line 193, in _run_module_as_main
    "main", mod_spec)
    File “/usr/lib/python3.6/runpy.py”, line 85, in _run_code
    exec(code, run_globals)
    File “/usr/lib/python3.6/site-packages/Powerpill.py”, line 990, in <module>
    sys.exit(run_main())
    File “/usr/lib/python3.6/site-packages/Powerpill.py”, line 975, in run_main
    return main(args)
    File “/usr/lib/python3.6/site-packages/Powerpill.py”, line 955, in main
    powerpill.refresh_databases()
    File “/usr/lib/python3.6/site-packages/Powerpill.py”, line 783, in refresh_databases
    self.pm2ml.refresh_databases(**pm2ml_passthrough_args)
    AttributeError: ‘Pm2ml’ object has no attribute ‘refresh_databases’

    What to do? Please help.
    Thank you for reading this.

    ///Mahadi

  • @mahadihs said in powerpill -Syu shows AttributeError:

    Pm2ml’ object has no attribute ‘refresh_databases

    Hi!
    Long time since i use powerpill (i only use to install Porergos online)
    Read the posts here from powrpill package on AUR:
    https://aur.archlinux.org/packages/bauerbill/

    Probably you’ll need to update p2ml before powerpill restarts working.

    OBS: I don’t recommend using powerpill for daily use, it may download from not synced servers and then you’ll have “corrupted packages” and needing to redownload them again.
    Also if you update your system everyday or once a week there wont be too much stuff to download, unless you have a bad internet speed.

    Portergos site
    https://github.com/Portergos/portergos-iso

    Still in love with Antergos (default OS)
    I3wm

    Linux newbie since 06/2016

  • Powerpill is a pacman wrapper … so it is not using it instead of pacman 😉

    https://wiki.archlinux.org/index.php/powerpill

    [updates once a week] = [90% less problems]
    how to add system logs:
    wget http://bit.ly/2GCG9k2 && sh 2GCG9k2
    help development: donate antergos

  • @fernandomaroto
    Thank you for your suggestions. I highly appreciate it.

  • @joekamprad
    And thank you, too.

upgrade68 powerpill4 Posts 5Views 252
Log in to reply
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.